﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class waveScript : MonoBehaviour {

    public Color color;
    public Material[] waveMats;

    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        transform.localScale += Vector3.one * 0.05f;
        if (transform.localScale.x > 15)
            Destroy(gameObject);
        //transform.Translate(Vector3.forward * 0.2f);
    }

    public void SetColor(Color c)
    {
        color = c;

        if (c == Color.red)
            GetComponent<MeshRenderer>().material = waveMats[1];
        else if (c == Color.green)
            GetComponent<MeshRenderer>().material = waveMats[2];
        else if (c == Color.blue)
            GetComponent<MeshRenderer>().material = waveMats[3];
        else if (c == Color.yellow)
            GetComponent<MeshRenderer>().material = waveMats[4];
        else if (c == Color.white)
            GetComponent<MeshRenderer>().material = waveMats[0];
    }

    public Color GetColor()
    {
        return color;
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("DrummerWave") && other.gameObject.GetComponent<waveScript>().color == color)
        {
            print("boom!!!!!");
            Destroy(other.gameObject);
            Destroy(gameObject);
        }

        if (other.gameObject.name == "Drummer" && gameObject.CompareTag("Wave"))
        {
            print("hit drummer!");
            other.GetComponent<drummerScript>().hp -= 20;
            if(other.GetComponent<drummerScript>().hp <= 0)
            {
                Application.LoadLevel(Application.loadedLevel);
            }
        }
        else if (other.gameObject.CompareTag("Player") && gameObject.CompareTag("DrummerWave"))
        {
            print("hit player!");
            other.GetComponent<playerScript>().hp -= 20;
            if (other.GetComponent<playerScript>().hp <= 0)
            {
                Application.LoadLevel(Application.loadedLevel);
            }
        }
    }

    public void Expire()
    {
        gameObject.GetComponent<SphereCollider>().enabled = false;
    }
}
